%define fw_version 5.43

Summary:	KDE Frameworks 5 abstraction to provide and leverage actions of a specific kind
Name:		purpose
Version:	5.43.0
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kaccounts-devel
BuildRequires:	kf5config-devel >= %{fw_version}
BuildRequires:	kf5coreaddons-devel >= %{fw_version}
BuildRequires:	kf5declarative-devel >= %{fw_version}
BuildRequires:	kf5i18n-devel >= %{fw_version}
BuildRequires:	kf5kio-devel >= %{fw_version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
# Runtime libraries check in cmake
BuildRequires:	kf5declarative-qml
BuildRequires:	ubuntuonlineaccounts-qml
Requires:	kf5declarative-qml
Requires:	ubuntuonlineaccounts-qml
Conflicts:	kamoso < 2.0.2-7.20140902.5

%description
Purpose offers the possibility to create integrate services and actions on
any application without having to implement them specifically. Purpose will
offer them mechanisms to list the different alternatives to execute given the
requested action type and will facilitate components so that all the plugins
can receive all the information they need.

%files
%{_kde5_datadir}/accounts/services/kde/google-youtube.service
%{_kde5_datadir}/accounts/services/kde/nextcloud-upload.service
%{_kde5_datadir}/accounts/services/kde/twitter-microblog.service
%dir %{_kde5_datadir}/kpackage/Purpose/Twitter/
%{_kde5_datadir}/kpackage/Purpose/Twitter/*
%{_kde5_datadir}/purpose/kdeconnectplugin_config.qml
%{_kde5_datadir}/purpose/nextcloudplugin_config.qml
%{_kde5_datadir}/purpose/phabricatorplugin_config.qml
%{_kde5_datadir}/purpose/reviewboardplugin_config.qml
%{_kde5_datadir}/purpose/saveasplugin_config.qml
%{_kde5_datadir}/purpose/youtubeplugin_config.qml
%{_kde5_iconsdir}/hicolor/*/actions/kipiplugin_youtube.png
%{_kde5_iconsdir}/hicolor/*/apps/phabricator-purpose.png
%{_kde5_iconsdir}/hicolor/*/apps/reviewboard-purpose.png
%{_kde5_libexecdir}/kf5/purposeprocess
%{_qt5_plugindir}/kf5/purpose/emailplugin.so
%{_qt5_plugindir}/kf5/purpose/imgurplugin.so
%{_qt5_plugindir}/kf5/purpose/kdeconnectplugin.so
%{_qt5_plugindir}/kf5/purpose/ktpsendfileplugin.so
%{_qt5_plugindir}/kf5/purpose/nextcloudplugin.so
%{_qt5_plugindir}/kf5/purpose/pastebinplugin.so
%{_qt5_plugindir}/kf5/purpose/phabricatorplugin.so
%{_qt5_plugindir}/kf5/purpose/reviewboardplugin.so
%{_qt5_plugindir}/kf5/purpose/saveasplugin.so
%{_qt5_plugindir}/kf5/purpose/youtubeplugin.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 abstractions module translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDE Frameworks 5 abstractions module translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define qmlkf5purpose %mklibname kf5purpose-qml

%package -n %{qmlkf5purpose}
Summary:	QML plugin for KDE Frameworks 5 abstractions module
Group:		System/Libraries
Provides:	kf5purpose-qml = %{EVRD}

%description -n %{qmlkf5purpose}
QML plugin for KDE Frameworks 5 abstractions module.

%files -n %{qmlkf5purpose}
%dir %{_kde5_qmldir}/org/kde/purpose/
%{_kde5_qmldir}/org/kde/purpose/*

#----------------------------------------------------------------------------

%define phhelpers_major 5
%define libphhelpers %mklibname phabricatorhelpers %{phhelpers_major}

%package -n %{libphhelpers}
Summary:	KDE Frameworks 5 abstractions shared library
Group:		System/Libraries

%description -n %{libphhelpers}
KDE Frameworks 5 abstractions shared library.

%files -n %{libphhelpers}
%{_kde5_libdir}/libPhabricatorHelpers.so.%{phhelpers_major}*

#----------------------------------------------------------------------------

%define rbhelpers_major 5
%define librbhelpers %mklibname reviewboardhelpers %{rbhelpers_major}

%package -n %{librbhelpers}
Summary:	KDE Frameworks 5 abstractions shared library
Group:		System/Libraries

%description -n %{librbhelpers}
KDE Frameworks 5 abstractions shared library.

%files -n %{librbhelpers}
%{_kde5_libdir}/libReviewboardHelpers.so.%{rbhelpers_major}*

#----------------------------------------------------------------------------

%define kf5purpose_major 5
%define libkf5purpose %mklibname kf5purpose %{kf5purpose_major}

%package -n %{libkf5purpose}
Summary:	KDE Frameworks 5 abstractions shared library
Group:		System/Libraries
Requires:	%{name}-i18n
Requires:	%{qmlkf5purpose}

%description -n %{libkf5purpose}
KDE Frameworks 5 abstractions shared library.

%files -n %{libkf5purpose}
%{_kde5_libdir}/libKF5Purpose.so.%{kf5purpose_major}*

#----------------------------------------------------------------------------

%define kf5purposewidgets_major 5
%define libkf5purposewidgets %mklibname kf5purposewidgets %{kf5purposewidgets_major}

%package -n %{libkf5purposewidgets}
Summary:	KDE Frameworks 5 abstractions shared library
Group:		System/Libraries

%description -n %{libkf5purposewidgets}
KDE Frameworks 5 abstractions shared library.

%files -n %{libkf5purposewidgets}
%{_kde5_libdir}/libKF5PurposeWidgets.so.%{kf5purposewidgets_major}*

#----------------------------------------------------------------------------

%define devkf5purpose %mklibname kf5purpose -d

%package -n %{devkf5purpose}
Summary:	Development files for KDE Frameworks 5 abstactions module
Group:		Development/KDE and Qt
Requires:	%{libkf5purpose} = %{EVRD}
Requires:	%{libkf5purposewidgets} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5purpose-devel = %{version}

%description -n %{devkf5purpose}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5purpose}
%{_kde5_includedir}/KF5/purpose
%{_kde5_includedir}/KF5/purposewidgets
%{_kde5_libdir}/cmake/KDEExperimentalPurpose
%{_kde5_libdir}/cmake/KF5Purpose
%{_kde5_libdir}/libKF5Purpose.so
%{_kde5_libdir}/libKF5PurposeWidgets.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
export PATH=%{_qt5_bindir}:$PATH
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang libpurpose_quick libpurpose_widgets \
           purpose_email purpose_nextcloud \
           purpose_imgur purpose_ktp-sendfile purpose_pastebin purpose_reviewboard purpose_saveas purpose_youtube \
           %{name}.lang

%changelog

* Mon Feb 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (9b9db6d) New version 5.43.0
- (9b9db6d) Now it's a part of KDE Frameworks


